Get Phone Numbers
curl --request GET \
--url https://api.chat-dash.com/v1/public/clients/{clientId}/phone-numbers \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/clients/{clientId}/phone-numbers"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/clients/{clientId}/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"clientId": "<string>",
"platform": "<string>",
"platformId": "<string>",
"apiKey": "<string>",
"number": "<string>",
"type": "<string>"
}
]This response has no body data.Phone Numbers
Get Phone Numbers
Retrieve a list of phone numbers for the specified client
GET
/
clients
/
{clientId}
/
phone-numbers
Get Phone Numbers
Headers
Client-specific API key for authentication
Pattern:
^CD\.CL\.Path Parameters
Client ID to retrieve phone numbers for
Query Parameters
Filter phone numbers by associated agent ID
Response
OK
The ID of the phone number
The ID of the client associated with the phone number
The platform this phone number is associated with (Retell/Vapi)
The ID of the phone number on the platform
The platform API key associated with the phone number
The phone number in E.164 format
The type of phone number (assigned or imported)
